Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.ugm.controls
Interface ProfileManagerControl

All Superinterfaces
  Serializable

    @ControlInterface
    public interface ProfileManagerControl

extends Serializable

A custom control interface used to interact with ProfileManager.

Method Summary
`List<com.bea.portal.tools.ugm.Property>` | `getProperties(String propertySetType, String propertySetName, String principal, Comparator comparator, ResourceContext context)` Returns a `List` of `Property` objects in arbitrary order for the provided type, property set, and principal.
`List<com.bea.portal.tools.ugm.Property>` | `getProperties(String propertySetType, String propertySetName, String principal, ResourceContext context)` Returns a `List` of `PropertySet` objects.
`com.bea.portal.tools.ugm.Property` | `getProperty(String propertySetType, String propertySetName, int propertyIndex, String principal, ResourceContext context)` Returns a `Property` object at the given index in the property set.
`com.bea.portal.tools.ugm.Property` | `getProperty(String propertySetType, String propertySetName, String propertyName, String principal, ResourceContext context)` Returns a `Property` object with the gven name.
`List<PropertySet>` | `getPropertySets(String propertySetType, ResourceContext context)` Returns a `List` of `PropertySet` objects in arbitrary order, based on the provided type.
`Object` | `getPropertyValue(String propertySetName, String propertyName, String principal, ResourceContext context)` Returns an `Object` representing the value of the given property.
`List<Object>` | `getPropertyValues(String propertySetName, String propertyName, String principal, ResourceContext context)` Returns a `List` containing the values of the given property.
`List<PropertySet>` | `getSortedPropertySets(String propertySetType, boolean order, ResourceContext context)` Returns a `List` of `PropertySet` objects in default sorted order of `PropertySet` name, based on the provided type.
`List<PropertySet>` | `getSortedPropertySets(String propertySetType, Comparator<PropertySet> comparator, ResourceContext context)` Returns a `List` of `PropertySet` objects in custom sorted order, based on provided type and `Comparator`.
`void` | `removePropertyValue(String propertySetName, String propertyName, String principal, ResourceContext context)` Removes the value(s) for the given property.
`void` | `removePropertyValues(String propertySetName, Collection propertyNames, String principal, ResourceContext context)` Removes the value(s) for the given properties.
`void` | `setPropertyValue(String propertySetName, com.bea.portal.tools.ugm.Property property, String principal, ResourceContext context)` Sets the value for the given `Property` object.
`void` | `setPropertyValues(String propertySetName, Collection properties, String principal, ResourceContext context)` Sets the values for the given `Collection` of `Property` objects.

Method Detail

### getPropertySets

    List<PropertySet> getPropertySets(String propertySetType,
                                      ResourceContext context)
                                      throws ToolsException

  Returns a `List` of `PropertySet` objects in arbitrary order, based on the provided type. Currently, the only two types are "USER" and "GROUP". Returns an empty list if no `PropertySet` objects are defined.

  Parameters
    `propertySetType` - The type of property sets to return. Must be "USER" or "GROUP"
    `context` - the resource context
  Returns
    `List` of `PropertySet` objects
  Throws
    `ToolsException`
  See Also
    `PropertySet`

### getSortedPropertySets

    List<PropertySet> getSortedPropertySets(String propertySetType,
                                            boolean order,
                                            ResourceContext context)
                                            throws ToolsException

  Returns a `List` of `PropertySet` objects in default sorted order of `PropertySet` name, based on the provided type. Currently, the only two types are "USER" and "GROUP". Returns an empty list if no `PropertySet` objects are defined.

  Parameters
    `propertySetType` - The type of property sets to return. Must be "USER" or "GROUP"
    `order` - Flag to indicate ascending or descending order. Use `true` for ascending order, `false` for descending order.
    `context` - the resource context
  Returns
    `List` of sorted `PropertySet` objects
  Throws
    `ToolsException`
  See Also
    `PropertySet`

### getSortedPropertySets

    List<PropertySet> getSortedPropertySets(String propertySetType,
                                            Comparator<PropertySet> comparator,
                                            ResourceContext context)
                                            throws ToolsException

  Returns a `List` of `PropertySet` objects in custom sorted order, based on provided type and `Comparator`. Currently, the only two types are "USER" and "GROUP". Returns an empty list if no `PropertySet` objects are defined.

  Parameters
    `propertySetType` - The type of property sets to return. Must be "USER" or "GROUP"
    `comparator` - The `Comparator` to use to sort with
    `context` - the resource context
  Returns
    `List` of sorted `PropertySet` objects
  Throws
    `ToolsException`
  See Also
    `PropertySet`

### getProperty

    com.bea.portal.tools.ugm.Property getProperty(String propertySetType,
                                                  String propertySetName,
                                                  String propertyName,
                                                  String principal,
                                                  ResourceContext context)
                                                  throws ToolsException,
                                                         ProfileNotFoundException,
                                                         P13nControlException

  Returns a `Property` object with the gven name. Currently, the only two types are "USER" and "GROUP". Returns null if the specified property does not exist.

  Parameters
    `propertySetType` - The type of the given property set. Must be "USER" or "GROUP"
    `propertySetName` - The name of the property set to use.
    `propertyName` - the name of the property in the set
    `principal` - The principal to use.
    `context` - the resource context
  Returns
    `Property` - the requested Property, or null
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`
  See Also
    `Property`

### getProperty

    com.bea.portal.tools.ugm.Property getProperty(String propertySetType,
                                                  String propertySetName,
                                                  int propertyIndex,
                                                  String principal,
                                                  ResourceContext context)
                                                  throws ToolsException,
                                                         ProfileNotFoundException,
                                                         P13nControlException

  Returns a `Property` object at the given index in the property set. Currently, the only two types are "USER" and "GROUP". Returns null if the specified property does not exist.

  Parameters
    `propertySetType` - The type of the given property set. Must be "USER" or "GROUP"
    `propertySetName` - The name of the property set to use.
    `propertyIndex` - The index of the property in the set
    `principal` - The principal to use.
    `context` - the resource context
  Returns
    `Property` - the requested Property, or null
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`
  See Also
    `Property`

### getProperties

    List<com.bea.portal.tools.ugm.Property> getProperties(String propertySetType,
                                                          String propertySetName,
                                                          String principal,
                                                          ResourceContext context)
                                                          throws ToolsException,
                                                                 ProfileNotFoundException,
                                                                 P13nControlException

  Returns a `List` of `PropertySet` objects. Currently, the only two types are "USER" and "GROUP". Returns an empty list if no `PropertySet` objects are defined.

  Parameters
    `propertySetType` - The type of property sets to return. Must be "USER" or "GROUP"
    `propertySetName` - The name of the property set to use.
    `principal` - The principal to use.
    `context` - the resource context
  Returns
    `List` `PropertySet` objects
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`
  See Also
    `PropertySet`

### getProperties

    List<com.bea.portal.tools.ugm.Property> getProperties(String propertySetType,
                                                          String propertySetName,
                                                          String principal,
                                                          Comparator comparator,
                                                          ResourceContext context)
                                                          throws ToolsException,
                                                                 ProfileNotFoundException,
                                                                 P13nControlException

  Returns a `List` of `Property` objects in arbitrary order for the provided type, property set, and principal. Currently, the only two types are "USER" and "GROUP". Returns an empty list if no properties are defined for the given property set.

  Parameters
    `propertySetType` - The type of the given property set. Must be "USER" or "GROUP"
    `propertySetName` - The name of the property set to use.
    `principal` - The principal to use.
    `comparator` - If the value of a property is a list use the Comparator for the sort. If it is a list and a null comparator is used no sort will happen.
    `context` - the resource context
  Returns
    `List` of `Property` objects
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`
  See Also
    `Property`

### getPropertyValue

    Object getPropertyValue(String propertySetName,
                            String propertyName,
                            String principal,
                            ResourceContext context)
                            throws ToolsException,
                                   ProfileNotFoundException,
                                   P13nControlException

  Returns an `Object` representing the value of the given property. Will be one of the following types: `java.lang.Boolean` `java.lang.Long` `java.lang.Double` `java.lang.String` `java.lang.Object` `java.sql.Timestamp` If the property has multiple values, only the FIRST value will be returned. Use `getPropertyValues()` to retrieve all the values of a property. Returns `null` if no value is defined for the given property.

  Parameters
    `propertySetName` - The name of the property set to use.
    `propertyName` - The name of the property.
    `principal` - The principal to use.
    `context` - the resource context
  Returns
    the `Object` representing the value of the given property.
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`

### getPropertyValues

    List<Object> getPropertyValues(String propertySetName,
                                   String propertyName,
                                   String principal,
                                   ResourceContext context)
                                   throws ToolsException,
                                          ProfileNotFoundException,
                                          P13nControlException

  Returns a `List` containing the values of the given property. Will be a `List` consisting of 1 or more objects all of one of the following types: `java.lang.Boolean` `java.lang.Long` `java.lang.Double` `java.lang.String` `java.lang.Object` `java.sql.Timestamp` Returns an empty `List if no values are defined for the given property.

  `
  Parameters
    `propertySetName` - The name of the property set to use.
    `propertyName` - The name of the property.
    `principal` - The principal to use.
    `context` - the resource context
  Returns
    `List` containing the values of the given property.
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`

### setPropertyValue

    void setPropertyValue(String propertySetName,
                          com.bea.portal.tools.ugm.Property property,
                          String principal,
                          ResourceContext context)
                          throws ToolsException,
                                 ProfileNotFoundException,
                                 P13nControlException,
                                 PropertyValidationException

  Sets the value for the given `Property` object.

  Parameters
    `propertySetName` - The name of the property set to set the property in.
    `property` - The `Property` object
    `principal` - The principal to use.
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`
    `PropertyValidationException`
  See Also
    `Property`

### setPropertyValues

    void setPropertyValues(String propertySetName,
                           Collection properties,
                           String principal,
                           ResourceContext context)
                           throws ToolsException,
                                  ProfileNotFoundException,
                                  P13nControlException,
                                  PropertyValidationException

  Sets the values for the given `Collection` of `Property` objects.

  Parameters
    `propertySetName` - The name of the property set to set the property in.
    `properties` - A `Collection` of `Property` objects
    `principal` - The principal to use.
    `context` - the resource context
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`
    `PropertyValidationException`
  See Also
    `Property`

### removePropertyValue

    void removePropertyValue(String propertySetName,
                             String propertyName,
                             String principal,
                             ResourceContext context)
                             throws ToolsException,
                                    ProfileNotFoundException,
                                    P13nControlException

  Removes the value(s) for the given property.

  Parameters
    `propertySetName` - The name of the property set the given property is in.
    `propertyName` - The name of the property.
    `principal` - The principal to use.
    `context` - the resource context
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`
  See Also
    `Property`

### removePropertyValues

    void removePropertyValues(String propertySetName,
                              Collection propertyNames,
                              String principal,
                              ResourceContext context)
                              throws ToolsException,
                                     ProfileNotFoundException,
                                     P13nControlException

  Removes the value(s) for the given properties.

  Parameters
    `propertySetName` - The name of the property set the given property is in.
    `propertyNames` - The names of the properties.
    `principal` - The principal to use.
    `context` - the resource context
  Throws
    `ToolsException`
    `ProfileNotFoundException`
    `P13nControlException`
  See Also
    `Property`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.